{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% load message_tags %}
{% block title %}
{{title}}
{% endblock title %}

{% block content %}

<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- Back Button -->
                {% include "home/inc/back_btn.html" %}
                <!-- Back Button -->

                <!-- Display the errors -->
                {% include "home/inc/messages.html" %}
                <!-- Display the errors -->

                <section id='user-detail-wrapper' class="mt-5">
                    <div class="container">
                        <div class="main-body">
                            <div class="row gutters-sm">
                                <div class="col-md-4 mb-3">
                                    <div class="card mohammed-card-bgcolor">
                                        <div class="card-body">
                                            <div class="d-flex flex-column align-items-center text-center">
                                                <img src="{% static 'img/male_avatar.png' %}" alt="Admin"
                                                    class="rounded-circle" width="150">
                                                <div class="mt-3">
                                                    <h4>{{ object.name }}</h4>
                                                    <p class="text-secondary mb-1 phone-ltl">{{ object.phone }}</p>
                                                    <p class="text-muted font-size-sm">{{ object.country }}</p>
                                                    <a href="{% url 'messages-admin-send-message' object.pk %}"
                                                        class="art-btn art-btn-md art-submit pt-3">
                                                        {% trans "Send Message" %}
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card mt-3 mohammed-card-bgcolor">
                                        <ul class="list-group list-group-flush pr-0">

                                            <li
                                                class="list-group-item mohammed-card-bgcolor text-white d-flex justify-content-between align-items-center flex-wrap">

                                                <span class="d-inline-block font-weight-bold" style="font-size: 14px;">
                                                    {% trans "Join Date" %} </span>
                                                <span class="d-inline-block">
                                                    {{object.joined_date}}
                                                </span>
                                            </li>
                                            <li
                                                class="list-group-item mohammed-card-bgcolor text-white d-flex justify-content-between align-items-center flex-wrap">

                                                <span class="d-inline-block font-weight-bold" style="font-size: 14px;">
                                                    {% trans "Last Login" %} </span>
                                                <span class="d-inline-block">
                                                    {{object.last_login}}
                                                </span>
                                            </li>


                                        </ul>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="card mohammed-card-bgcolor mb-3">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-sm-3">
                                                    <h5 class="mb-0">
                                                        {% trans "Full Name" %}
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9 text-white">
                                                    {{object.name}}
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="col-sm-3">
                                                    <h5 class="mb-0">
                                                        {% trans "Email" %}
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9 text-white">
                                                    {{object.email}}
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="col-sm-3">
                                                    <h5 class="mb-0">
                                                        {% trans "Phone" %}
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9 text-white phone-ltl">
                                                    {{object.phone}}
                                                </div>
                                            </div>
                                            <hr>

                                            <div class="row">
                                                <div class="col-sm-3">
                                                    <h5 class="mb-0">
                                                        {% trans "Country" %}
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9 text-white">
                                                    {{object.country}}
                                                </div>
                                            </div>
                                            <hr />
                                            <div class="row">
                                                <div class="col-sm-3">
                                                    <h5 class="mb-0">
                                                        {% trans "Payment Verified" %}
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9">
                                                    {% if object.paid_member.get.is_paid is True %}
                                                    <i class="fas fa-check fa-2x text-success" data-toggle='tooltip'
                                                        title="{% trans 'User payment verified successfully' %}"></i>
                                                    {% else %}
                                                    <i class="fas fa-times fa-2x text-danger" data-toggle='tooltip'
                                                        title="{% trans 'User payment not verified' %}"></i>
                                                    {% endif %}
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                    <!-- Start Overview cards -->
                                    <div class="row mt-4">
                                        <div class="col">
                                            <div class="card mohammed-card-bgcolor mb-3">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-3 text-center">
                                                            <span style="font-size: 2rem;"
                                                                class="d-inline-block text-white">
                                                                {{ object.member_auctions.all.count }}
                                                            </span>
                                                        </div>
                                                        <div class="col-9">
                                                            <p class="text-white mt-2" style="font-size: 1.1rem;">
                                                                {% trans 'Total Auctions' %}
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <div class="card mohammed-card-bgcolor mb-3">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-3 text-center">
                                                            <span style="font-size: 2rem;"
                                                                class="d-inline-block text-white">
                                                                {{object.member_bids.all.count}}
                                                            </span>
                                                        </div>
                                                        <div class="col-9">
                                                            <p class="text-white mt-2" style="font-size: 1.1rem;">
                                                                {% trans 'Total Bids' %}
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="row mt-4">
                                        <div class="col">
                                            <div class="card mohammed-card-bgcolor mb-3">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-3 text-center">
                                                            <span style="font-size: 2rem;"
                                                                class="d-inline-block text-white">
                                                                {{ object.member_messages.all.count|get_total_messages_and_replies:object.reply_member.all.count }}
                                                            </span>
                                                        </div>
                                                        <div class="col-9">
                                                            <p class="text-white mt-2" style="font-size: 1.1rem;">
                                                                {% trans 'Total Messages' %}
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col">
                                            <div class="card mohammed-card-bgcolor mb-3">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-3 text-center">
                                                            <span style="font-size: 2rem;" class="d-inline-block">
                                                                {% if object.status is True %}
                                                                <i class="fas fa-check text-success"
                                                                    data-toggle="tooltip"
                                                                    title='{% trans "Account Enabled" %}'></i>
                                                                {% else %}
                                                                <i class="fas fa-times text-danger"
                                                                    data-toggle="tooltip"
                                                                    title='{% trans "Account Disabled" %}'></i>
                                                                {% endif %}

                                                            </span>
                                                        </div>
                                                        <div class="col-9">
                                                            <p class="text-white mt-2" style="font-size: 1.1rem;">
                                                                {% trans "Account Status" %}
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- End Overview cards -->



                                </div>
                            </div>
                            {# check display payment Receipts #}
                            {% if object.paid_member.get.is_paid is True %}
                            <div class="container">
                                <div class="row mt-3">
                                    <div class="col">
                                        <fieldset>
                                            <legend class="text-white">
                                                {% trans "Member's Receipts" %}
                                            </legend>
                                            <div class="card mohammed-card-bgcolor">
                                                <table class="table text-white mohammed-card-bgcolor table-borderless">
                                                    <thead>
                                                        <tr>
                                                            <th scope="col" width="70%">
                                                                {% trans 'Receipt Date' %}
                                                            </th>
                                                            <th scope="col" width="20%">
                                                                {% trans 'View' %}
                                                            </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        {% for rec_obj in object.member_payment_receipts.all %}
                                                        <tr>
                                                            <th scope="row">
                                                                <a class="text-white"
                                                                    href="{% url 'receipts-details' rec_obj.pk %}">
                                                                    {{rec_obj.created_date}}
                                                                </a>
                                                            </th>
                                                            <td>
                                                                <a href="{% url 'receipts-details' rec_obj.pk %}"
                                                                    class="art-btn p-2">
                                                                    <i class="fas fa-eye" style="font-size: 17px;"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </div>
                                        </fieldset>

                                    </div>
                                </div>
                            </div>
                            {% endif %}
                            {# end check payment Receipts #}

                            <hr class="my-3" />
                            {# start user auctions #}
                            <div class="container">
                                <div class="row mt-3">
                                    <div class="col">
                                        <fieldset>
                                            <legend class="text-white">
                                                {% trans "Member's Auctions" %}
                                            </legend>
                                            <div class="card mohammed-card-bgcolor">
                                                {% if object.member_auctions.all.count > 0 %}
                                                <table class="table text-white mohammed-card-bgcolor table-borderless">
                                                    <thead>
                                                        <tr>
                                                            <th scope="col" width="40%">
                                                                {% trans 'Auction Name' %}
                                                            </th>
                                                            <th scope="col" width="40%">
                                                                {% trans 'Auction Date' %}
                                                            </th>
                                                            <th scope="col" width="20%">
                                                                {% trans 'View' %}
                                                            </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        {% for auc_obj in object.member_auctions.all %}
                                                        <tr>
                                                            <th scope="row">
                                                                <a class="text-white"
                                                                    href="{% url 'dashboard-auctions-detail' auc_obj.pk %}">
                                                                    {{auc_obj.name}}
                                                                </a>
                                                            </th>
                                                            <td>
                                                                {{ auc_obj.created_date }}
                                                            </td>
                                                            <td>
                                                                <a href="{% url 'dashboard-auctions-detail' auc_obj.pk %}"
                                                                    class="art-btn p-2">
                                                                    <i class="fas fa-eye" style="font-size: 17px;"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                                {% else %}
                                                <p class="text-white p-3" style="font-size: 1.2rem;">
                                                    {% trans "This Member has no auction" %}
                                                </p>
                                                {% endif %}
                                            </div>
                                        </fieldset>

                                    </div>
                                </div>
                            </div>
                            {# end user auctions #}

                            <hr class="my-3" />

                            {# Start Member Messages #}
                            <div class="container" style="margin-bottom: 60px;">
                                <div class="row mt-3">
                                    <div class="col">
                                        <fieldset>
                                            <legend class="text-white">
                                                {% trans "Member's Messages" %}
                                            </legend>
                                            <div
                                                class="card mohammed-card-bgcolor py-4 {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">
                                                {% if object.member_messages.all.count > 0 %}
                                                {% for main_message in object.member_messages.all %}
                                                <div class="media mr-3 pl-3 mt-3">
                                                    <div class="ml-3 d-inline-block member-message-media-object">
                                                        M
                                                    </div>
                                                    <div class="media-body">
                                                        <h5 class="mt-0 mb-1">

                                                            <span class="d-inline-block ml-1">
                                                                {{main_message.title}}
                                                            </span>

                                                            <span class="text-muted d-inline-block"
                                                                style="font-size: 11px !important;">
                                                                {{ main_message.member }}
                                                            </span>

                                                            <span class="text-muted d-inline-block"
                                                                style="font-size: 11px !important;">
                                                                {{ main_message.send_date|date }}
                                                            </span>

                                                        </h5>
                                                        <p>
                                                            {{main_message.msg}}
                                                        </p>

                                                        {% for reply in main_message.main_message.all %}
                                                        <div class="media mt-3">
                                                            <div
                                                                class="ml-3 d-inline-block member-message-media-object">
                                                                M
                                                            </div>
                                                            <div class="media-body">
                                                                <h5 class="mt-0 mb-1">

                                                                    <span class="d-inline-block ml-1">
                                                                        {{reply.title}}
                                                                    </span>

                                                                    <span class="text-muted d-inline-block"
                                                                        style="font-size: 11px !important;">
                                                                        {{ reply.sender }}
                                                                    </span>

                                                                    <span class="text-muted d-inline-block"
                                                                        style="font-size: 11px !important;">
                                                                        {{ reply.reply_date|date }}
                                                                    </span>
                                                                </h5>
                                                                <p>
                                                                    {{reply.msg}}
                                                                </p>
                                                            </div>
                                                        </div>
                                                        {% endfor %}
                                                    </div>
                                                </div>
                                                {% endfor %}
                                                {% else %}
                                                <p class="text-white p-3" style="font-size: 1.2rem;">
                                                    {% trans "This Member has no messages" %}
                                                </p>
                                                {% endif %}




                                            </div>
                                        </fieldset>

                                    </div>
                                </div>
                            </div>
                            {# End Member Messages #}
                        </div>
                    </div>
                </section>

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}